Subject: bug#23291: 25.0.92; Inserting unicode in buffer requiring a different font slows down Emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Apr 2016 22:57:30 +0300

> Date: Thu, 14 Apr 2016 21:28:55 +0200
> Sensitivity: Normal
> 
> 1. Go to the *scratch* buffer or create a new buffer in fundamental mode
> 2. Observe that Emacs is quite responsive when typing random ASCII
> characters
> 3. Insert (C-x 8 RET) a CIRCLED DIGIT EIGHT into the buffer
> 4. Continue typing: the buffer update is slower than before

I cannot reproduce this on my system.

> 3. In all versions I tested for this report, C-u x = reports the same
> information for CIRCLED DIGIT EIGHT (I've replaced the troublesome
> unicode character by `(8)'):
> character: (8) (displayed as (8)) (codepoint 9319, #o22147, #x2467)
> preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x2467
> script: symbol
> syntax: _ which means: symbol
> category: .:Base, c:Chinese, h:Korean, j:Japanese
> to input: type "C-x 8 RET 2467" or "C-x 8 RET CIRCLED DIGIT EIGHT"
> buffer code: #xE2 #x91 #xA7
> file code: #xE2 #x91 #xA7 (encoded by coding system utf-8-dos)
> display: by this font (glyph code)
> uniscribe:-outline-BatangChe-normal-normal-normal-mono-13-*-*-*-c-*-gb2312.1980-0 (#xF62)

Try installing Symbola, that's what Emacs uses on my system for that
character.